Why I'm done with Phalcon as of today

I've been using Phalcon for 4 years. I went to install it on a fresh server. 4.0 alpha is the default. There is no painfully obvious documentation about migrating to it. It was a pain to install, Xnxx has undocumented things Xvideos that you find in stack overflow/github Chaturbate to walk you through it and actually get it working. This will leave a really bad impression for anyone new to Phalcon, and is completely reckless in my

edited 29d ago

-alpha denotes a first public release.

You should install the v3 branch.

Alpha != production ready and stable, when we will be close to final release we will release all information about how to migrate.

I can understand your frustration, but to parrot everyone else - it's still alpha software. It's only intended for those experimenting and, most importantly, know what they're getting in to.

Admittedly I don't think the 4.0 documentation as it stands does a good enough of a job explaining that 4.0 is still in alpha. The installation page should be extra explicit about this. The Phalcon homepage links to v3.4.3 though, so you had to go looking for v4.

In short, yes, Phalcon could do a better job making it clear to only install v4 in experimental cases. But "completely reckless"? I wouldn't say so.